<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">

    <div class="row">
        <h:panelGroup rendered="#{statisticsForEvaluationPhaseBeanGui.isVendor()}">
            <ui:repeat value="#{statisticsForEvaluationPhaseBeanGui.getSystemsForCurrentUser()}" var="systemInSession">
                <h:panelGroup rendered="#{!statisticsForEvaluationPhaseBeanGui.getSystemsForCurrentUser().isEmpty()}">
                    <s:decorate template="../layout/pie-chart.xhtml">
                        <ui:param name="headerTitle"
                                  value="#{systemInSession.system.keyword}"/>
                        <ui:param name="link"
                                  value="#{statisticsForEvaluationPhaseBeanGui.getEvaluationLink(systemInSession.system)}"/>
                        <ui:param name="titleLink" value="#{messages['gazelle.common.menu.Evaluation']}"/>
                        <ui:param name="classLink" value="fa fa-graduation-cap fa-2"/>
                        <ui:param name="labelValues"
                                  value="[&quot;#{messages['net.ihe.gazelle.tm.Passed']}&quot;,
                                      &quot;#{messages['gazelle.tm.testing.results.resultStatusFailed']}&quot;,
                                      &quot;#{messages['gazelle.tm.testing.results.resultStatusAtRisk']}&quot;,
                                      &quot;#{messages['net.ihe.gazelle.tm.NotEvaluated']}*&quot;,
                                      &quot;#{messages['net.ihe.gazelle.tm.EvaluationPending']}&quot;]"/>
                        <ui:param name="colors"
                                  value="#{statisticsForEvaluationPhaseBeanGui.getColorsForCapabilitiesForChart()}"/>
                        <ui:param name="values"
                                  value="#{statisticsForEvaluationPhaseBeanGui.getCapabilitiesStatisticsForASystemInSession(systemInSession)}"/>
                        <ui:param name="myChartId" value="chart#{systemInSession.system.id}"/>
                        <ui:param name="chartTitle"
                                  value="#{messages['net.ihe.gazelle.tm.EvaluationForCapabilities']}"/>

                    </s:decorate>
                </h:panelGroup>
            </ui:repeat>
        </h:panelGroup>

        <h:panelGroup rendered="#{statisticsForEvaluationPhaseBeanGui.isTestingSessionManagerOrAdmin()}">
            <ui:include src="../layout/pie-chart.xhtml">
                <ui:param name="headerTitle"
                          value="#{messages['net.ihe.gazelle.tm.Overall']}"/>
                <ui:param name="information"
                          value="#{messages['net.ihe.gazelle.tm.ThereIsATotalOf']} #{statisticsForEvaluationPhaseBeanGui.getNbTotalTestInstancesForCurrentSession()} #{messages['net.ihe.gazelle.tm.TestRuns']}"/>
                <ui:param name="values"
                          value="#{statisticsForEvaluationPhaseBeanGui.getStatisticsForAllTestInstances()}"/>
                <ui:param name="labelValues"
                          value="[&quot;#{messages['gazelle.tm.testing.status.verified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.failed']}&quot;,
                                          &quot;#{messages['net.ihe.gazelle.tm.InProgress']}&quot;,
                                          &quot;#{messages['gazelle.tm.test.ToBeVerified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.partiallyVerified']}&quot;,
                                          &quot;#{messages['gazelle.tm.testing.status.critical']}&quot;]"/>
                <ui:param name="colors"
                          value="#{statisticsForEvaluationPhaseBeanGui.getColorsForTestInstancesForChart()}"/>
                <ui:param name="myChartId" value="chartOverall"/>
                <ui:param name="chartTitle" value="#{messages['net.ihe.gazelle.tm.StatusesOfTestRuns']}"/>
            </ui:include>
        </h:panelGroup>

        <h:panelGroup rendered="#{statisticsForEvaluationPhaseBeanGui.isTestingSessionManagerOrAdmin()}">
            <ui:repeat value="#{statisticsForEvaluationPhaseBeanGui.getAllPossibleDomains()}" var="domain">
                <h:panelGroup
                        rendered="#{statisticsForEvaluationPhaseBeanGui.getNbTotalCapabilitiesForADomain(domain) !=0}">
                    <s:decorate template="../layout/pie-chart.xhtml">
                        <ui:param name="headerTitle"
                                  value="#{domain.name}"/>
                        <ui:param name="information"
                                  value="#{messages['net.ihe.gazelle.tm.ThereIsATotalOf']} #{statisticsForEvaluationPhaseBeanGui.getNbTotalCapabilitiesForADomain(domain)} #{messages['net.ihe.gazelle.tm.CapabilitiesForThisDomain']}"/>
                        <ui:param name="values"
                                  value="#{statisticsForEvaluationPhaseBeanGui.getCapabilitiesStatisticsForADomain(domain)}"/>
                        <ui:param name="labelValues"
                                  value="[&quot;#{messages['net.ihe.gazelle.tm.Passed']}&quot;,
                                      &quot;#{messages['gazelle.tm.testing.results.resultStatusFailed']}&quot;,
                                      &quot;#{messages['gazelle.tm.testing.results.resultStatusAtRisk']}&quot;,
                                      &quot;#{messages['net.ihe.gazelle.tm.NotEvaluated']}*&quot;,
                                      &quot;#{messages['net.ihe.gazelle.tm.EvaluationPending']}&quot;]"/>
                        <ui:param name="colors"
                                  value="#{statisticsForEvaluationPhaseBeanGui.getColorsForCapabilitiesForChart()}"/>
                        <ui:param name="myChartId" value="chart#{domain.keyword}"/>
                        <ui:param name="chartTitle"
                                  value="#{messages['net.ihe.gazelle.tm.EvaluationForCapabilities']}"/>
                        <ui:define name="card-footer">

                        </ui:define>
                    </s:decorate>
                </h:panelGroup>
            </ui:repeat>
        </h:panelGroup>
    </div>


</ui:composition>